<?php
namespace SabaiApps\Directories\Component\Payment\Controller;

use SabaiApps\Directories\Controller;
use SabaiApps\Directories\Context;

class ViewSubscription extends Controller {

	protected function _doExecute( Context $context ) {
		$context->setAttributes(
			array(
				'content' => $this->Payment_Components_impl( $context->payment_component_name )->paymentGetSubscriptionDetailHtml( $context->subscription ),
			)
		);
	}
}
